Subject: bug#12787: Re: bug#12787: Toolbar regression from Emacs 23 to Emacs 24 -- Save As and Help no longer available

From: Eli Zaretskii <[email-masked]>
Date: Fri, 02 Nov 2012 22:00:24 +0200

> Date: Fri, 02 Nov 2012 14:15:00 -0500 (CDT)
> From: [email-masked]
> Cc: [email-masked]
> 
> On 11/02/12, Glenn Morris<[email-masked]> wrote:
> 
> >[email-masked] wrote:
> >
> >> I save tool-bar.el, compile it to tool-bar.elc and then restart Emacs,
> >> but the buttons are not there.
> >
> >This file is dumped into the Emacs executable, so you would need to
> >rebuild Emacs with your changes. I imagine it would be much simpler to
> >just add the buttons in your init file. I don't use the tool-bar and
> >have no real opinion on what buttons should be there; but "Help" seems
> >too general, rarely used, and hence a waste of space to me. Same with
> >"save as" I guess.
> 
> I see your point, however the fact remains that this is a regression from Emacs 23 -- and a seemingly arbitrary one at that -- that wasn't mentioned in the NEWS. 

What is a regression?  tool-bar.el was always preloaded and dumped
into the Emacs executable.  There's no change here.

> I get that "real" Emacs users don't use the tool bar (or the menu bar, for that matter), but I've been using Emacs extensively for seven years now and still find uses for the tool-bar. "Save As" is for me exceptionally useful.

Well, those "real" users are those who decided to code the tool bar
and the menu bar, and to have it by default in Emacs.  So I think this
is misdirected.